## CountLatchKind

# Enum CountLatchKind

Source

    enum CountLatchKind {
        Stealing {
            latch: CoreLatch,
            registry: Arc<Registry>,
            worker_index: usize,
        },
        Blocking {
            latch: LockLatch,
        },
    }

## Variants§

§

### Stealing

A latch for scopes created on a rayon thread which will participate in work- stealing while it waits for completion. This thread is not necessarily part of the same registry as the scope itself!

#### Fields

§`latch: CoreLatch`
§`registry: Arc<Registry>`

If a worker thread in registry A calls `in_place_scope` on a ThreadPool with registry B, when a job completes in a thread of registry B, we may need to call `notify_worker_latch_is_set()` to wake the thread in registry A. That means we need a reference to registry A (since at that point we will only have a reference to registry B), so we stash it here.

§`worker_index: usize`

The index of the worker to wake in `registry`

§

### Blocking

A latch for scopes created on a non-rayon thread which will block to wait.

#### Fields

§`latch: LockLatch`

## Trait Implementations§

Source§

### impl Debug for CountLatchKind

Source§

#### fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more

## Auto Trait Implementations§

§

### impl !Freeze for CountLatchKind

§

### impl !RefUnwindSafe for CountLatchKind

§

### impl Send for CountLatchKind

§

### impl Sync for CountLatchKind

§

### impl Unpin for CountLatchKind

§

### impl !UnwindSafe for CountLatchKind

## Blanket Implementations§

Source§

### impl<T> Any for T
where T: 'static + ?Sized,

Source§

#### fn type_id(&self) -> TypeId

Gets the `TypeId` of `self`. Read more
Source§

### impl<T> Borrow<T> for T
where T: ?Sized,

Source§

#### fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
Source§

### impl<T> BorrowMut<T> for T
where T: ?Sized,

Source§

#### fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
Source§

### impl<T> From<T> for T

Source§

#### fn from(t: T) -> T

Returns the argument unchanged.

Source§

### impl<T, U> Into<U> for T
where U: From<T>,

Source§

#### fn into(self) -> U

Calls `U::from(self)`.

That is, this conversion is whatever the implementation of `From<T> for U` chooses to do.

Source§

### impl<T> Pointable for T

Source§

#### const ALIGN: usize

The alignment of pointer.
Source§

#### type Init = T

The type for initializers.
Source§

#### unsafe fn init(init: <T as Pointable>::Init) -> usize

Initializes a with the given initializer. Read more
Source§

#### unsafe fn deref<'a>(ptr: usize) -> &'a T

Dereferences the given pointer. Read more
Source§

#### unsafe fn deref_mut<'a>(ptr: usize) -> &'a mut T

Mutably dereferences the given pointer. Read more
Source§

#### unsafe fn drop(ptr: usize)

Drops the object pointed to by the given pointer. Read more
Source§

### impl<T, U> TryFrom<U> for T
where U: Into<T>,

Source§

#### type Error = Infallible

The type returned in the event of a conversion error.
Source§

#### fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
Source§

### impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

Source§

#### type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
Source§

#### fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.

## Layout§

Note: Most layout information is completely unstable and may even differ between compilations. The only exception is types with certain `repr(...)` attributes. Please see the Rust Reference's “Type Layout” chapter for details on type layout guarantees.

Size: 24 bytes

Size for each variant:

- `Stealing`: 24 bytes
- `Blocking`: 20 bytes